<?xml version="1.0" encoding="windows-1251"?>
<labwork>
	<settings>
		<!-- настройки всей лабораторной работы -->
		<steplist visible="true"/>
		<stepname visible="true" format="%elapsed%. %name%" x="15" y="2" width="600" style="Stepname_Verdana_14"/>
	</settings>
	<!-- end настройки -->
	<steps>
        <step src="intro.xml" type="information" resultCount="false"/>
        <step src="02_02_термин.xml" type="information" resultCount="true"/>
        <step src="02_03.xml" type="information" resultCount="true"/>
	    <step src="02_04.xml" type="information" resultCount="true"/>
		<step src="02_05.xml" type="information" resultCount="true"/>
     <!--    <step src="24_4.xml" type="research" resultCount="true"/>
		<step src="24_5.xml" type="information" resultCount="true"/>
        <step src="24_6.xml" type="research" resultCount="true"/>
		<step src="24_7.xml" type="dragging" resultCount="true"/>
		<step src="24_8.xml" type="question" resultCount="true"/>
		<step src="24_9.xml" type="information" resultCount="true"/> -->
        <step src="summary.xml" type="summary" resultCount="false"/>
        </steps>
	<!-- Фон для показа увеличенных объектов -->
	<group id="special" visible="false">
		<param x="0" depth="-2000"/>
		<button id="close" visible="true">
			<param type="image" x="985" y="5" depth="-5" srcNormal="\DATA\skin\Special\close_norm.png" srcActive="\DATA\skin\Special\close_over.png" srcPressed="\DATA\skin\Special\close_down.png"/>
			<actions>
				<action event="onPress">
					hideObject:LABWORK.special
				</action>
			</actions>
		</button>
		<!-- заливка фона, идентификатор должне быть всегда "bkg",
	иначе не будет смены цветов -->
		<!--shape id="bkg" visible="true">
			<param depth="10"/>
		</shape-->
		<text id="bkg" visible="true">
			<param depth="10"/>
		</text>
		<!-- объект, через который выводиться текст -->
		<text id="text" visible="false">
			<param x="40" y="40" width="944" height="520" scroll="true"/>
			<!--drag enabled="true"/-->
		</text>
	</group>
	<!-- Панель с настройками специальных возможностей -->
	<group id="settings">
		<param x="50" y="50" depth="-10000"/>
		<properties>
			<!-- Свойства, которые используются для хранения настроект -->
			<property name="sound" type="string">woman</property>
			<property name="textStyle" type="string">smallBlack</property>
			<property name="textBkg" type="string">#FFFFFF</property>
		</properties>
		<actions>
			<action event="onShow">testCondition:.show</action>
		</actions>
		<conditions>
			<!-- Условие исполняется при показе панели настроек -->
			<condition id="show">
				<![CDATA[
				if ([.].sound == "man"){
					pressButton:.sound.man
				} else if ([.].sound == "woman"){
					pressButton:.sound.woman
				}
				
				if ([.].text == 1){
					pressButton:.text.1
				} else if ([.].text == 2){
					pressButton:.text.2
				} else if ([.].text == 3){
					pressButton:.text.3
				} else if ([.].text == 4){
					pressButton:.text.4
				} else if ([.].text == 5){
					pressButton:.text.5
				} else if ([.].text == 6){
					pressButton:.text.6
				}				
			]]>
			</condition>
			<!-- Условие исполняется при подтверждении сделаных настроек -->
			<condition id="ok">
				<![CDATA[
				if ([.sound.man].pressed){
					setProperty:.sound,man
				} else if ([.sound.woman].pressed){
					setProperty:.sound,woman
				}

				if ([.text.1].pressed){
					setProperty:.textStyle,smallBlack;
					setProperty:.textBkg,#FFFFFF
				} else if ([.text.2].pressed){
					setProperty:.textStyle,smallGreen;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.3].pressed){
					setProperty:.textStyle,smallBlack;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.4].pressed){
					setProperty:.textStyle,smallYellow;
					setProperty:.textBkg,#339933
				} else if ([.text.5].pressed){
					setProperty:.textStyle,smallYellow;
					setProperty:.textBkg,#21582E
				} else if ([.text.6].pressed){
					setProperty:.textStyle,normalBlack;
					setProperty:.textBkg,#FFFFFF
				} else if ([.text.7].pressed){
					setProperty:.textStyle,normalGreen;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.8].pressed){
					setProperty:.textStyle,normalBlack;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.9].pressed){
					setProperty:.textStyle,normalYellow;
					setProperty:.textBkg,#339933
				} else if ([.text.10].pressed){
					setProperty:.textStyle,normalYellow;
					setProperty:.textBkg,#21582E
				} else if ([.text.11].pressed){
					setProperty:.textStyle,bigBlack;
					setProperty:.textBkg,#FFFFFF
				} else if ([.text.12].pressed){
					setProperty:.textStyle,bigGreen;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.13].pressed){
					setProperty:.textStyle,bigBlack;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.14].pressed){
					setProperty:.textStyle,bigYellow;
					setProperty:.textBkg,#339933
				} else if ([.text.15].pressed){
					setProperty:.textStyle,bigYellow;
					setProperty:.textBkg,#21582E
				} else if ([.text.16].pressed){
					setProperty:.textStyle,verybigBlack;
					setProperty:.textBkg,#FFFFFF
				} else if ([.text.17].pressed){
					setProperty:.textStyle,verybigGreen;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.18].pressed){
					setProperty:.textStyle,verybigBlack;
					setProperty:.textBkg,#FEFF99
				} else if ([.text.19].pressed){
					setProperty:.textStyle,verybigYellow;
					setProperty:.textBkg,#339933
				} else if ([.text.20].pressed){
					setProperty:.textStyle,verybigYellow;
					setProperty:.textBkg,#21582E
				}

				{
					hideObject:LABWORK.settings
				}
			]]>
			</condition>
			<!-- Условие исполняется при закрытии панели настроек без сохранения сделаных изменений -->
			<condition id="cancel">
				<![CDATA[
				{
					hideObject:LABWORK.settings
				}
			]]>
			</condition>
		</conditions>
		<image visible="true">
			<param src="\DATA\skin\Special\s_adjust.jpg" depth="100"/>
		</image>
		<group id="text" visible="true" restriction="exclusive_pressed">
			<button id="1" visible="true" pressed="true">
				<param type="image" textValue=" " x="275" y="55" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="2" visible="true">
				<param type="image" textValue=" " x="416" y="55" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="3" visible="true">
				<param type="image" textValue=" " x="560" y="55" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="4" visible="true">
				<param type="image" textValue=" " x="704" y="55" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="5" visible="true">
				<param type="image" textValue=" " x="846" y="55" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="6" visible="true">
				<param type="image" textValue=" " x="275" y="136" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="7" visible="true">
				<param type="image" textValue=" " x="416" y="136" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="8" visible="true">
				<param type="image" textValue=" " x="560" y="136" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="9" visible="true">
				<param type="image" textValue=" " x="704" y="136" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="10" visible="true">
				<param type="image" textValue=" " x="846" y="136" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="11" visible="true">
				<param type="image" textValue=" " x="275" y="215" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="12" visible="true">
				<param type="image" textValue=" " x="416" y="215" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="13" visible="true">
				<param type="image" textValue=" " x="560" y="215" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="14" visible="true">
				<param type="image" textValue=" " x="704" y="215" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="15" visible="true">
				<param type="image" textValue=" " x="846" y="215" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="16" visible="true">
				<param type="image" textValue=" " x="275" y="295" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="17" visible="true">
				<param type="image" textValue=" " x="416" y="295" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="18" visible="true">
				<param type="image" textValue=" " x="560" y="295" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="19" visible="true">
				<param type="image" textValue=" " x="704" y="295" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="20" visible="true">
				<param type="image" textValue=" " x="846" y="295" width="154" height="93" areaNormal="[0,0,154,93]" srcActive="\DATA\skin\Special\selectbox.png" srcPressed="\DATA\skin\Special\selectbox.png" sticky="true"/>
				<!--activemark type="image" src="\DATA\skin\settings\selectbox.png"/-->
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
		</group>
		<group id="sound" visible="true" restriction="exclusive_pressed">
			<param x="280" y="420"/>
			<button id="man" visible="true">
				<param type="image" x="0" y="0" sticky="true" srcNormal="\DATA\skin\Special\man.png" srcActive="\DATA\skin\Special\man_over.png" srcPressed="\DATA\skin\Special\man_down.png"/>
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
			<button id="woman" visible="true">
				<param type="image" x="260" y="0" sticky="true" srcNormal="\DATA\skin\Special\wom.png" srcActive="\DATA\skin\Special\wom_over.png" srcPressed="\DATA\skin\Special\wom_down.png"/>
				<actions>
					<action event="onPress">
					</action>
				</actions>
			</button>
		</group>
		<button id="ok" visible="true">
			<param type="image" x="655" y="550" depth="-5" srcNormal="\DATA\skin\Special\b_ok.png" srcActive="\DATA\skin\Special\b_ok_over.png" srcPressed="\DATA\skin\Special\b_ok_down.png"/>
			<actions>
				<action event="onPress">
					testCondition:.ok
				</action>
			</actions>
		</button>
		<button id="cancel" visible="true">
			<param type="image" x="835" y="550" depth="-5" srcNormal="\DATA\skin\Special\b_esc.png" srcActive="\DATA\skin\Special\b_esc_over.png" srcPressed="\DATA\skin\Special\b_esc_down.png"/>
			<actions>
				<action event="onPress">
					testCondition:.cancel
				</action>
			</actions>
		</button>
	</group>
</labwork>
